## org.apache.catalina.startup
Class SecurityClassLoad

    java.lang.Object
      org.apache.catalina.startup.SecurityClassLoad

public final class SecurityClassLoad
extends java.lang.Object

Static class used to preload java classes when using the Java SecurityManager so that the defineClassInPackage RuntimePermission does not trigger an AccessControlException.

Version:
  $Revision: 1.4 $ $Date: 2004/08/26 21:41:41 $
Author:
  Glenn L. Nielsen

Constructor Summary
`SecurityClassLoad()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityClassLoad

    public SecurityClassLoad()

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.